#69 Start time labels on x-axis are shifted to the right

closed-fixed
nobody
None
5
2012-12-12
2012-08-28
Oliver
No

I use Mytourbook 12.6.2 on Linux (Ubuntu 11.04 with OpenJDK 1.6.0_24). If I open a Tour Chart and enable "Show Start Time on X-Axis" then I see labels with the time of day. But they are not placed correctly. For example if there is space for whole-hour-labels like 9:00, 10:00 ... 18:00 then the x-axis begins exactly with label "9:00" even if the tour starts at 9:55! If there is enough space for labels each 30min then the label "9:30" will be at the very left of the x-axis. The first label seems to be the start time "rounded-down" to the previous label. This is correct for tour-relative labels, but not for absolute time-of-day labels.

An additional, but minor detail: all labels on the x-axis (h and km) seem to be misplaced 2-3 pixels to the left according to the "Value Point Tooltip". But this might be related to my specific environment (Linux, GTK, Java 1.6, ect.) and is not a big problem.

Discussion

  • Wolfgang

    Wolfgang - 2012-09-05

    the axis label depends depends on many parameters:
    - size of the chart
    - is chart zoomed in
    - grid/unit preferences in the pref dialog: Appearance/Tour Chart/Grid Units

    can you attach a screenshot which makes it easier to discuss this issue

     
  • Wolfgang

    Wolfgang - 2012-11-29

    fixed in version 12.12, I did it accidently when implementing history tours which can span hundreds of years or only a few seconds

     
  • Wolfgang

    Wolfgang - 2012-11-29
    • status: open --> pending-fixed
     
  • Wolfgang

    Wolfgang - 2012-12-12
    • status: pending-fixed --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks